# Users

## GET /api/engine/v3/user/

> Get a list of MobiusFlow Engine API users

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/":{"get":{"summary":"Get a list of MobiusFlow Engine API users","tags":["Users"],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"isActive":{"type":"boolean"},"roles":{"type":"array","items":{"type":"string","enum":["Administrator","Editor","Viewer"]}}},"required":["id","username","isActive","roles"],"additionalProperties":false}}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```

## POST /api/engine/v3/user/

> Add a new MobiusFlow Engine API user

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/":{"post":{"summary":"Add a new MobiusFlow Engine API user","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"},"roles":{"type":"array","items":{"type":"string","enum":["Administrator","Editor","Viewer"]}},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["username","password","roles"]}}},"required":true},"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"username":{"type":"string"},"email":{"type":"string"},"isActive":{"type":"boolean"},"roles":{"type":"array","items":{"type":"string","enum":["Administrator","Editor","Viewer"]}}},"required":["id","username","isActive","roles"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```

## DELETE /api/engine/v3/user/{id}

> Delete a MobiusFlow Engine API user

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/{id}":{"delete":{"summary":"Delete a MobiusFlow Engine API user","tags":["Users"],"parameters":[{"schema":{"description":"The id of the user to delete","type":"string"},"in":"path","name":"id","required":true,"description":"The id of the user to delete"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```

## PATCH /api/engine/v3/user/password/{id}

> Update the password of a MobiusFlow Engine API user

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/password/{id}":{"patch":{"summary":"Update the password of a MobiusFlow Engine API user","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"password":{"description":"The new password of the user","type":"string"}},"required":["password"]}}},"required":true},"parameters":[{"schema":{"description":"The id of the user to update","type":"string"},"in":"path","name":"id","required":true,"description":"The id of the user to update"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```

## PATCH /api/engine/v3/user/active/{id}

> Update the active status of a MobiusFlow Engine API user

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/active/{id}":{"patch":{"summary":"Update the active status of a MobiusFlow Engine API user","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"active":{"description":"The new active status of the user","type":"boolean"}},"required":["active"]}}},"required":true},"parameters":[{"schema":{"description":"The id of the user to update","type":"string"},"in":"path","name":"id","required":true,"description":"The id of the user to update"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```

## PATCH /api/engine/v3/user/role/{id}

> Update the role of a MobiusFlow Engine API user

```json
{"openapi":"3.1.3","info":{"title":"MobiusFlow® Engine API","version":"3.0.0"},"paths":{"/api/engine/v3/user/role/{id}":{"patch":{"summary":"Update the role of a MobiusFlow Engine API user","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"role":{"description":"The new role of the user","type":"string","enum":["Administrator","Editor","Viewer"]}},"required":["role"]}}},"required":true},"parameters":[{"schema":{"description":"The id of the user to update","type":"string"},"in":"path","name":"id","required":true,"description":"The id of the user to update"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-engine-api-v3/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
